import { DateTimeComp as a } from "./7281819e.js";
import { ButtonComp as l } from "./d404aae1.js";
import { a0 as e, h as m, P as r, bh as i, V as p, bt as n } from "./684d2f28.js";
import "react";
import { BooleanComp as s } from "./d883a28b.js";
import { DateComp as b } from "./7a630f06.js";
import { ImageComp as u } from "./b8f8370b.js";
import { LinkComp as c } from "./ca17ca0f.js";
import { ColumnLinksComp as g } from "./d9d1e856.js";
import { ColumnMarkdownComp as C } from "./6538ec2e.js";
import { ProgressComp as d } from "./226f78bd.js";
import { RatingComp as h } from "./a014bc57.js";
import { BadgeStatusComp as v } from "./6cf5f7c0.js";
import { ColumnTagsComp as f } from "./7f2964c3.js";
import { ColumnSelectComp as w } from "./602ac28f.js";
import { SimpleTextComp as T } from "./698a4355.js";
import { ColumnNumberComp as x } from "./cf2c1864.js";
import "./9869e60a.js";
import "./b1144c16.js";
import "./926d8ea1.js";
import "./d6402597.js";
import "react-dom";
import "./6be5dc74.js";
import "./1312a48b.js";
import "./00dac55d.js";
import "./622ce240.js";
import "./0c4ef413.js";
import "./8e06f4ed.js";
import "./f9c25fbe.js";
import "./2d5fc5ff.js";
import "./0f3d7a1a.js";
const k = [{
  label: e("table.text"),
  value: "text"
}, {
  label: e("table.number"),
  value: "number"
}, {
  label: e("table.link"),
  value: "link"
}, {
  label: e("table.links"),
  value: "links"
}, {
  label: e("table.tag"),
  value: "tag"
}, {
  label: e("table.select"),
  value: "select"
}, {
  label: e("table.badgeStatus"),
  value: "badgeStatus"
}, {
  label: e("table.button"),
  value: "button"
}, {
  label: e("table.image"),
  value: "image"
}, {
  label: e("table.date"),
  value: "date"
}, {
  label: e("table.dateTime"),
  value: "dateTime"
}, {
  label: "Markdown",
  value: "markdown"
}, {
  label: e("table.boolean"),
  value: "boolean"
}, {
  label: e("table.rating"),
  value: "rating"
}, {
  label: e("table.progress"),
  value: "progress"
}], y = {
  text: T,
  number: x,
  button: l,
  badgeStatus: v,
  link: c,
  tag: f,
  select: w,
  links: g,
  image: u,
  markdown: C,
  dateTime: a,
  boolean: s,
  rating: h,
  progress: d,
  date: b
}, V = m(y, "text");
class le extends V {
  getView() {
    const o = this.children.comp.getView();
    return {
      view: (t) => o(t),
      value: this.children.comp.getDisplayValue()
    };
  }
  getPropertyView() {
    return /* @__PURE__ */ r(i, {
      children: [/* @__PURE__ */ p(n, {
        showSearch: !0,
        value: this.children.compType.getView(),
        options: k,
        label: e("table.columnType"),
        onChange: (o) => {
          let t = "{{currentCell}}";
          this.children.comp.children.hasOwnProperty("text") && (t = this.children.comp.children.text.toJsonValue()), this.dispatchChangeValueAction({
            compType: o,
            comp: {
              text: t
            }
          });
        }
      }), this.children.comp.getPropertyView()]
    });
  }
}
export {
  le as ColumnTypeComp,
  y as ColumnTypeCompMap
};
